Source Now Requiring Java 1.7 to Build

Download and discuss official beta builds here

Source Now Requiring Java 1.7 to Build

Postby XenoPhex » Thu Feb 02, 2012 5:59 am

I just saw the r1087 update and I wasn't sure if people are aware that OS X has not had an official (non beta) release of 1.7 JRE/JDK yet. Is this necessarily a good idea?

I know the OpenJDK does have an OS X release, however I've had a lot of trouble dealing with it (on linux at least) in the past.
Specs: OS X 10.7.2 (64 Bit Mode); 2x 2.26 GHz Quad Core Intel i7 Processors with HT Enabled; 6 GB DDR3; ATI 5870
Network: Gigabit Ethernet LAN, all hardlined
JDK: build 1.6.0_29-b11-402-11M3527
PS3: Slim 160GB
XenoPhex
 
Posts: 14
Joined: Sun Oct 11, 2009 7:07 pm

Re: Source Now Requiring Java 1.7 to Build

Postby happy.neko » Thu Feb 02, 2012 3:20 pm

I'm using openjdk 6b23 on Ubuntu without any problems. In fact I think Oracle made openjdk reference Java implementation.
happy.neko
Project Member
 
Posts: 478
Joined: Fri Sep 23, 2011 5:38 pm

Re: Source Now Requiring Java 1.7 to Build

Postby happy.neko » Thu Feb 02, 2012 3:31 pm

Or, I see. Change is straight to 1.7.
I think 1.6 is way more reasonable till the moment 1.7 will be officially supported on Linux / Mac world.
happy.neko
Project Member
 
Posts: 478
Joined: Fri Sep 23, 2011 5:38 pm

Re: Source Now Requiring Java 1.7 to Build

Postby XenoPhex » Fri Feb 03, 2012 1:04 am

Super thanks for the update!
Specs: OS X 10.7.2 (64 Bit Mode); 2x 2.26 GHz Quad Core Intel i7 Processors with HT Enabled; 6 GB DDR3; ATI 5870
Network: Gigabit Ethernet LAN, all hardlined
JDK: build 1.6.0_29-b11-402-11M3527
PS3: Slim 160GB
XenoPhex
 
Posts: 14
Joined: Sun Oct 11, 2009 7:07 pm


Return to Beta Builds

Who is online

Users browsing this forum: Majestic-12 [Bot] and 4 guests